aboutsummaryrefslogtreecommitdiff
path: root/tests/lib.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/lib.sh')
-rwxr-xr-xtests/lib.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/tests/lib.sh b/tests/lib.sh
index fb50d8a..901ceb9 100755
--- a/tests/lib.sh
+++ b/tests/lib.sh
@@ -12,3 +12,11 @@ assert_status() {
exit 1
fi
}
+
+assert_empty_stderr() {
+ if [ "$(cat "$ERR")" != '' ]; then
+ echo "Expected STDERR ($ERR) to be empty, but has content:"
+ cat "$ERR"
+ exit 1
+ fi
+}